| openPilotLog

Public Member Functions | Public Attributes | Protected Attributes | List of all members
AEntry Class Reference

The Entry class encapsulates table metadata(table name, row id) and data for new and existing entries in the database to operate on. More...

`#include <aentry.h>`

Inheritance diagram for AEntry:

## Public Member Functions
| AEntry (const AEntry &)=default
AEntry & | operator= (const AEntry &)=default
| AEntry (DataPosition position_)
| AEntry (RowData_T table_data)
| AEntry (DataPosition position_, RowData_T table_data)
void | setData (RowData_T table_data)
void | setPosition (DataPosition position_)
const DataPosition & | getPosition () const
const RowData_T & | getData () const
| operator QString () const
| operator QString provides compatibilty with QDebug() - prints the tableData in a readable formatting to stdout

## Public Attributes
RowData_T | tableData

## Protected Attributes
DataPosition | position

## Detailed Description

The Entry class encapsulates table metadata(table name, row id) and data for new and existing entries in the database to operate on.

The documentation for this class was generated from the following files:

- src/classes/aentry.h
- src/classes/aentry.cpp